package tw.idv.jameschen.mapv2demo;

import com.google.android.gms.maps.CameraUpdate;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;

public class MainActivity extends Activity {
	//
	GoogleMap gmap;
	LatLng    marker;
	Marker    myMarker;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		//
		gmap = ((MapFragment)(getFragmentManager().findFragmentById(R.id.map))).getMap();
		marker = new LatLng( 24.1456019,120.6455316);
		CameraUpdate camera = CameraUpdateFactory.newLatLngZoom( marker, 17);
		gmap.animateCamera(camera);
	}

}
