package tw.idv.jameschen.mapv2demo;

import com.google.android.gms.maps.CameraUpdate;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.MapsInitializer;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;

import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.view.Menu;

public class MainActivity extends Activity {
	// 1. ŧinѼ
	String myTitle = "ץj"; // ϥܼD
	double dLng = 120.713000;  // w]g 
	double dLat =  24.095000;  // w]n
	int zoomLevel = 15;    // Yv, 1..20	
	GoogleMap gmap;
    LatLng markerPos = new LatLng( dLat, dLng);
    Marker myMarker; 
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	    // 2. l Google Maps 
		MapsInitializer.initialize(this);	
        // 3. e Fragment(GoogleMaps), p gmap O null, @wD!
		gmap = ((MapFragment) getFragmentManager().findFragmentById(R.id.map)).getMap();
		if (gmap != null) {
			// ʦaϤIBaY
			CameraUpdate update = CameraUpdateFactory.newLatLngZoom( markerPos, zoomLevel);
	        gmap.animateCamera(update);
			// еm
			MarkerOptions opt1 = new MarkerOptions()
		    .position(markerPos)
		    .title(myTitle)
		    .snippet("HUST...")					         
			.icon(BitmapDescriptorFactory.fromResource(	R.drawable.ic_launcher)); // iHۤvpϥ
			myMarker = gmap.addMarker( opt1);
			// gmap.setOnMarkerClickListener(this);			                      // ٥iH[JϥIƥ󪺳Bz!! 
		}

	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
